PaidGoods

Connect a custom domain

POST
/v1/stores/{storeId}/domains

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/domains" \  -H "Content-Type: application/json" \  -d '{    "hostname": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "hostname": "string",  "kind": "platform_subdomain",  "verified": true,  "isPrimary": true,  "tlsState": "string",  "verification": {    "type": "TXT",    "name": "string",    "value": "string"  },  "cname": {    "name": "string",    "value": "string"  },  "lastCheckError": "string",  "createdAt": "string"}